# Interface SpotProps

interface SpotProps {
folderColor?: string;
id: number;
mainType: string;
title: string;
type: string;
uri: string;
}

- Defined in jamespot-user-api/src/apis/filebank/filebank.ts:19

##### Index

### Properties

folderColor?
id
mainType
title
type
uri

## Properties

### `Optional` folderColor

folderColor?: string

- Defined in jamespot-user-api/src/apis/filebank/filebank.ts:25

### id

id: number

- Defined in jamespot-user-api/src/apis/filebank/filebank.ts:20

### mainType

mainType: string

- Defined in jamespot-user-api/src/apis/filebank/filebank.ts:24

### title

title: string

- Defined in jamespot-user-api/src/apis/filebank/filebank.ts:21

### type

type: string

- Defined in jamespot-user-api/src/apis/filebank/filebank.ts:23

### uri

uri: string

- Defined in jamespot-user-api/src/apis/filebank/filebank.ts:22